Bio::MAGETAB::Source(3)

NAME
Bio::MAGETAB::Source - MAGE-TAB source class

SYNOPSIS
 use Bio::MAGETAB::Source;

DESCRIPTION
This class is used to store information on the starting biological material for a given experiment ('source'). These nodes typically form the starting point for the experimental design graph. See the Material class for superclass methods.

ATTRIBUTES

providers (optional)
    A list of names of providers of the source material (data type: Bio::MAGETAB::Contact).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Material

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).